Eclipse Platform Release 3.7

## org.eclipse.jface.viewers
Class DoubleClickEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.jface.viewers.DoubleClickEvent

All Implemented Interfaces:
  Serializable

    public class DoubleClickEvent

extends EventObject

Event object describing a double-click. The source of these events is a viewer.

See Also:
  `IDoubleClickListener`, Serialized Form

Field Summary
`protected ISelection` `selection` The selection.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DoubleClickEvent(Viewer source, ISelection selection)` Creates a new event for the given source and selection.

Method Summary
`ISelection` `getSelection()` Returns the selection.
`Viewer` `getViewer()` Returns the viewer that is the source of this event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### selection

    protected ISelection selection

  The selection.

Constructor Detail

### DoubleClickEvent

    public DoubleClickEvent(Viewer source,
                            ISelection selection)

  Creates a new event for the given source and selection.

  Parameters:
    `source` - the viewer
    `selection` - the selection

Method Detail

### getSelection

    public ISelection getSelection()

  Returns the selection.

  Returns:
    the selection

### getViewer

    public Viewer getViewer()

  Returns the viewer that is the source of this event.

  Returns:
    the originating viewer

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.